* {
    margin:0;
    padding:0;
}

body {
    /* font-family: Arial, 'Roboto Slab', Tahoma, 'sans serif'; */
    font-family: monospace, Arial, 'Roboto Slab', Tahoma, 'sans serif';
    margin: 0 auto;
    padding: 0;
    color: white;
    width: 100%;
    height: 100%;
    /* background: linear-gradient(to bottom right, white 0%, #9dd3fd 10%, #1875bf 45%, #012643 100%); */
    /* background-image: url('../images/bible_open6.jpg'); */
    background: black;
    background-size: cover;
    background-position: center;
    transition: 1s;
    overflow: hidden;
}

body.logo_en_fondo {
    background-image: url('../images/logo_iglesia.png');
}
body.bible_en_fondo {
    background-image: url('../images/bible_open6.jpg');
}
body.black_en_fondo {
    background: black;
}

.d-block{
    display: block !important;
}
.d-none{
    display: none !important;
}


#contenedor {
    height: 100%;
    background: black;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    justify-content: space-between;
    align-items: stretch;
    opacity: 0;
    transition: 1s;
}
.shown {
    opacity: 1 !important;
}


#contenedor_prev_inner {
    /* background: #0e3138; */
    border: 1px solid yellow;
    display: flex;
    align-items: center;
    padding: 20px;
    flex-direction: column;
    gap: 20px;
    position: relative;
}

S {
    display: none;
}

.trad {
    box-sizing: border-box;
    font-size: 30px;
    /* box-shadow: 0px 0px 35px -15px #ffffff; */
    overflow: hidden;
    position: relative;
}
.trad:not(.trad:last-child)::after {
    content:  '';
    position: absolute;
    background: #1e1e1e;
    width: 100%;
    height: 1px;
    bottom: 0;
}

.shown .trad:not(.trad:last-child) {
    box-shadow: 0px 0px 35px -15px #ffffff;
}



.trad_inner {
    /* background: #FF9800; */
    /* border: 1px solid #FF5722; */
    /* padding: 25px; */
    /* padding: 5rem; */
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


.verse {
    /* background: #5d025d; */
    font-weight: 600;
    white-space: nowrap;
    text-align: center;

    display: flex;
    gap: 1rem;
    align-content: space-between;
    flex-direction: column;
    align-items: center;
}

.wr_d_line {
    display: flex;
    flex-direction: column;
}
.next_wr_d_line {
    display: none; /*por defecto*/
}


.wr_d_puntos {
    font-family: monospace;
    font-size: 100px;
    color: #313131;
    padding: 20px;
    display: flex;
    height: 80vh;
    align-items: flex-end;
}

.tres_estrellas {
    color: #313131;
    text-align: center;
    display: block;
    /* font-size: 100px; */
}

.wr_d_music {
    padding: 20px;
    display: flex;
    width: 50vw;
    height: 50vh;
    align-content: center;
    justify-content: center;
    align-items: center;
    /* border: 3px solid #313131; */
    /* border-radius: 50px; */
}
.wr_d_music img {
    max-width: 300px;
    width: 100%;
    height: 100%;
}


.d_line {
    font-weight: bold;
    font-family: Arial, Tahoma, 'sans serif';
    line-height: normal;
    white-space: normal;/* para publico */
}
.monospace_font .d_line {
    font-family: monospace, 'sans serif';
}


.song_titulo {
    background: #2d2d2d;
    color: #909090;
    padding: 10px 20px;
}


/* .wr_d_puntos,
.wr_d_music, */
legend,
.c, /* acordes*/
.b, /* bolas o puntitos */
.n  /* n = nota */
{
    display: none;
}

fieldset.kuplet {
    border: none;
    font-weight: bolder;
}


.d_legend {
    display: none;/* por defecto */
}



.d_line.d_legend::before {
    content:  '';
    position: absolute;
    background: #9E9E9E;
    width: 100%;
    height: 3px;
    top: 50%;
}

.d_legend div {
    background: #555353;
    border: 6px solid grey;
    scale: 0.5;
    font-style: italic;
    color: grey;
    display: inline-block;
    padding: 6px 20px;
    border-radius: 20px;
    font-weight: normal;
}






/* solo si hay que mostrar acordes para musicos */
.show_acordes {
    .verse {
        text-align:left;
    }

    .d_line {
        line-height: 1em;
        white-space: pre;
    }
    
    /* .d_legend, */
    .wr_d_puntos,
    .wr_d_music
    {
        display: none;
    }

    .espacio {
        white-space: pre;
    }

    legend,
    .c, /* acordes*/
    .b, /* bolas o puntitos */
    .n  /* n = nota */
    {
        display: inline-block;
    }
    .fld_song_titulo legend {
        display: none;
    }

    legend, span.barra, .b {
        color: #909090;
    }
    span.barra {
        font-weight: 100;
    }

    fieldset {
        /* background: green; */
        border-color: transparent;
        margin-inline: 8px;
        padding: 10px;
        transition: 0.3s ease;
        width: fit-content;
        max-width: 100%;
    }

    fieldset.kuplet {
        border: none;
        border-top: 3px solid #909090;
    }
    fieldset.kuplet.fld_song_titulo {
        border: none;
    }

    legend {
        font-weight: bold;
        color: #909090;
        padding: 3px 10px;
        margin-left: 0px;
        border-radius: 10px;
        font-style: italic;
        background: #555353;
        text-align: center;
        transition: 0.3s ease;
        border: 3px solid #909090;
    }

    p {
        font-weight: bolder;
        font-family: mono---space, Arial, Tahoma, 'sans serif';
        line-height: 1em;
        white-space: pre;
    }

    .monospace_font p {
        font-family: monospace, 'sans serif';
    }


    .c, /* acordes*/
    .b /* bolas o puntitos */
    {
        padding: 0;
        white-space: pre;
    }

    /* c = chord, acorde */
    .c {
        color: #00e2ff;
        line-height: 0.7em;
    }


    /* b = bola, punto */
    .b {
        padding-top: 0px;
        padding-bottom: 3px;
    }

    /* n = nota */
    .n {
        /* color: green; */
        color: #909090;
        font-weight: normal;
        font-style: italic;
        padding-top: 0;
        padding-bottom: 3px;

        /* background: orange; */
        scale: 0.5;
        width: 200%;
        left: -50%;
        position: relative;
    }

    /* t = texto */
    .t {
        margin-bottom: 3px;
    }

}











/* para publico no muestro */
.song_titulo {
    display: none;
}
/* para musicos si muestro */
.show_acordes .song_titulo {
    display: block;
}



/* show_acordes */
.show_acordes .d_line {
    font-family: Arial, Tahoma, 'sans serif';
}
.show_acordes.monospace_font .d_line {
    font-family: monospace, 'sans serif';
}


/* show_next_slide */
.show_next_slide .next_wr_d_line {
    display: flex;
    flex-direction: column;
}

.show_next_slide .next_wr_d_line {
    padding-top: 20px;
    border-top: 3px solid #9E9E9E;
    margin-top: 20px;
}


/* show_legend */
.show_legend .next_wr_d_line {
    padding-top: 0px !important;
    border-top: none !important;
    margin-top: 0px! important;
}
.show_legend .d_legend {
    display: flex;
    justify-content: center;
    width: 100%;
    position: relative;
}


